Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: - Migrations -
Created: 2012-06-05 Assigned To: Karsten Dambekalns
Updated: 2012-06-20 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity:
Subject: Code migration lacks info on getOriginalRequestMappingResults() replacement
Description

The code migration should do two more replacements:

    -  getInternalArgument('__submittedArgumentValidationResults') instead of getOriginalRequestMappingResults()
    -  getInternalArgument('__submittedArguments') instead of getOriginalRequest()->getArguments()

Associated revisions
Revision 65a3e7b6 - 2012-06-05 14:13 - Karsten Dambekalns

[TASK] Update code migration to do two more fixes

This adds adjustments for getOriginalRequestMappingResults() and
getOriginalRequest()->getArguments().

Change-Id: Icb2af24d325104aa895960d01edb23ae8f6c8193
Resolves: #37762
Releases: 1.1, 1.2

Revision 8cad35ab - 2012-06-13 11:57 - Karsten Dambekalns

[TASK] Update Upgrading.txt with two more adjustments

Add the needed changes for getOriginalRequestMappingResults() and
getOriginalRequest()->getArguments() to the upgrading instructions.

Change-Id: Ife1ab0f3cc8ee422482b07573486959faeef5289
Related: #37762
Releases: 1.1

Revision 8ee6404b - 2012-06-15 10:30 - Karsten Dambekalns

[TASK] Update code migration to do two more fixes

This adds adjustments for getOriginalRequestMappingResults() and
getOriginalRequest()->getArguments().

Change-Id: Icb2af24d325104aa895960d01edb23ae8f6c8193

2015-08-03 1/2



Resolves: #37762
Releases: 1.1, 1.2

History
#1 - 2012-06-05 14:13 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/11836

#2 - 2012-06-15 10:30 - Gerrit Code Review

Patch set 1 for branch FLOW3-1.1 has been pushed to the review server.
It is available at http://review.typo3.org/12087

#3 - 2012-06-15 10:31 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

#4 - 2012-06-20 20:53 - Karsten Dambekalns
- Target version changed from 1.1 RC1 to 1.1 beta 3

2015-08-03 2/2

http://review.typo3.org/11836
http://review.typo3.org/12087

